# OnnxRuntime: Ort::MapTypeInfo Struct Reference

Loading...
Searching...
No Matches
Ort::MapTypeInfo Struct Reference

Wrapper around OrtMapTypeInfo. More...

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::MapTypeInfo:

## Public Member Functions

| MapTypeInfo (std::nullptr_t)
| Create an empty MapTypeInfo object, must be assigned a valid one to be used.
| MapTypeInfo (OrtMapTypeInfo *p)
| Used for interop with the C API.
ConstMapTypeInfo | GetConst () const
Public Member Functions inherited from Ort::detail::MapTypeInfoImpl< OrtMapTypeInfo >
ONNXTensorElementDataType | GetMapKeyType () const
| Wraps OrtApi::GetMapKeyType.
TypeInfo | GetMapValueType () const
| Wraps OrtApi::GetMapValueType.
Public Member Functions inherited from Ort::detail::Base< T >
constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| ~Base ()
| Base (const Base &)=delete
Base & | operator= (const Base &)=delete
| Base (Base &&v) noexcept
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept
contained_type * | release ()
| Relinquishes ownership of the contained C object pointer The underlying object is not destroyed.

## Additional Inherited Members

Public Types inherited from Ort::detail::MapTypeInfoImpl< OrtMapTypeInfo >
using | B = Base< OrtMapTypeInfo >
Public Types inherited from Ort::detail::Base< T >
using | contained_type = T
Protected Attributes inherited from Ort::detail::Base< T >
contained_type * | p_ {}

## Detailed Description

Wrapper around OrtMapTypeInfo.

## Constructor & Destructor Documentation

## MapTypeInfo() [1/2]

Ort::MapTypeInfo::MapTypeInfo | ( | std::nullptr_t |  | ) |

inlineexplicit

Create an empty MapTypeInfo object, must be assigned a valid one to be used.

## MapTypeInfo() [2/2]

Ort::MapTypeInfo::MapTypeInfo | ( | OrtMapTypeInfo * | p | ) |

inlineexplicit

Used for interop with the C API.

## Member Function Documentation

## GetConst()

ConstMapTypeInfo Ort::MapTypeInfo::GetConst | ( |  | ) | const

inline